64877d44db2ed81b8451f9431d342a93a8b67188
max
  Mon Feb 19 09:26:19 2024 -0800
adding support for RHEL to GBIC, no redmine

diff --git src/product/installer/browserSetup.sh src/product/installer/browserSetup.sh
index 08e2368..b80f4e9 100644
--- src/product/installer/browserSetup.sh
+++ src/product/installer/browserSetup.sh
@@ -749,33 +749,45 @@
 	yum -y install chkconfig
     else
         yum -y install epel-release
     fi
 
     yum -y install ghostscript rsync ImageMagick R-core curl initscripts --allowerasing --nobest
 
     # centos 7 does not provide libpng by default
     if ldconfig -p | grep libpng12.so > /dev/null; then
         echo2 libpng12 found
     else
         yum -y install libpng12
     fi
     
     # try to activate the powertools repo. Exists on CentOS and Rocky but not Redhat
+    # this may only be necessary for chkconfig? If so, we probably want to avoid using chkconfig.
+    if grep 'Red Hat' /etc/redhat-release ; then
+        if yum repolist | grep -i codeready ; then
+            echo codeready repo enabled
+        else
+            echo2 This is a RHEL server and the codeready repository is not enabled. 
+            echo2 Please activate it and also the EPEL reposity, then run the browserSetup command again. 
+            exit 1
+        fi
+    else
         set +o pipefail
+        echo2 Not on RHEL: Enabling the powertools repository
         yum config-manager --set-enabled powertools || true
         set -o pipefail
+    fi
     
     # install apache if not installed yet
     if [ ! -f /usr/sbin/httpd ]; then
         echo2
         echo2 Installing Apache and making it start on boot
         waitKey
         yum -y install httpd chkconfig
         # start apache on boot
         chkconfig --level 2345 httpd on
         # there will be an error message that the apache 
         # mkdir -p $APACHEDIR/htdocs
         
         service httpd start
     else
         echo2 Apache already installed